AntiFeatures:
  - NonFreeNet
Categories:
  - Games
License: AGPL-3.0-only
AuthorName: narumi
AuthorEmail: chaldea@narumi.cc
WebSite: https://docs.chaldea.center
SourceCode: https://github.com/chaldea-center/chaldea
IssueTracker: https://github.com/chaldea-center/chaldea/issues
Translation: https://docs.chaldea.center/translation.html#ui-text
Changelog: https://github.com/chaldea-center/chaldea/releases
Donate: https://docs.chaldea.center/donation

AutoName: chaldea

RepoType: git
Repo: https://github.com/chaldea-center/chaldea.git

Builds:
  - versionName: 2.0.0
    versionCode: 900
    commit: cb351fd90a6ff59d73827109de8319c42ecc8385
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.0.1
    versionCode: 902
    commit: 856b954931766a26abddd5033576d7e337276340
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.0.3
    versionCode: 904
    commit: 8cb35c8684eee455feaa3ecad8850a5f1bc4c7f5
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.0.4
    versionCode: 905
    commit: 1bcf6163d75c4070e5e39214be4a1aa6169e0217
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.0.5
    versionCode: 906
    commit: ee6d4f355e26a744171e52d1c31095cd93a0f395
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.0.6
    versionCode: 907
    commit: 981761845f1ff34d5708e55341e49bef4c16d924
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.0.7
    versionCode: 908
    commit: de090149c74b8f4df35c0bcb499b4f37eb8e8fd0
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.0.8
    versionCode: 909
    commit: 2174a1ac9ba833c17a718ad81923b65d1e44447f
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.0.9
    versionCode: 910
    commit: 1cbf1f4f9fde8576e088236e86358ddd584b82b1
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.0.10
    versionCode: 911
    commit: 585373fb6b08305420f53c9fe94ad30244fbbc50
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.0.11
    versionCode: 912
    commit: 8d3471da2f06f7557193ac03aa6cdeecc8de1848
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.1.0
    versionCode: 913
    commit: 9d519ab9cdec68eb1759962945662f26f7fc6a94
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.2
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
        'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.1.1
    versionCode: 914
    commit: 7c50a8631b943f77195ca55b674ec2f5bf272b5c
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.2
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
        'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.1.2
    versionCode: 915
    commit: 30445ff9cecd9bef4ad26b3a3e98a0ee645012d2
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.2
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.2.0
    versionCode: 916
    commit: c0975f6db5393879c46b60bb4f9561bde66c3e05
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.6.0-0.1.pre
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.2.1
    versionCode: 917
    commit: b51b13d74c2840fd46619b05b47a602e7c8b6604
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.6.0-0.1.pre
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.2.2
    versionCode: 918
    commit: 31d7a1a6858c8f9d9ebac8feaa602ff1499a4289
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.6.0-0.1.pre
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.2.3
    versionCode: 919
    commit: 13137ae670061335bc844a05c74374055e162818
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.6.0-0.1.pre
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.2.4
    versionCode: 920
    commit: fbbde6d64cc355392b23e5f7db0c0b52f3bc007b
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.7.0
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.2.5
    versionCode: 921
    commit: c11c370b3e8155af834ba513d40caa11cb021329
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.7.0
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.2.6
    versionCode: 922
    commit: fc9773c12a38be56464f42e297c0a6e7ce4e9e8c
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.7.0
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.3.0
    versionCode: 923
    commit: 4f445bbf1ea11855f0c6c7abc1505da0814c3d6e
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.7.0
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.3.1
    versionCode: 925
    commit: c4bd4eb7fd62f918325995c7945442dee19133a6
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.7.0
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.3.2
    versionCode: 926
    commit: 25313d797740e9c12256b50b8597fdedbbc68e02
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.7.0
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.3.3
    versionCode: 927
    commit: 5382aac7eda6f3fa6bd735697fbcff4cbc914143
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.7.0
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.3.4
    versionCode: 928
    commit: e757265286072045755e68ceb84b858f72780b36
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.7.0
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.3.5
    versionCode: 930
    commit: 452d4fed014ffb7582a9b4e95289ce53a563dac9
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.7.0
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.3.6
    versionCode: 931
    commit: f925e66c87e1efe77d0b385948d559b3d0850662
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.7.0
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.4.0
    versionCode: 932
    commit: 9f582629bfd0d934594ee0aef3b8b8d281bfcc2d
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild:
      - export version=$(grep "\ \ FLUTTER_VERSION" .github/workflows/deploy-github-release.yml
        | cut -d "\"" -f2)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - sdkmanager 'cmake;3.10.2.4988404'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 2.4.0
CurrentVersionCode: 932
